package com.diagbot.client.hystrix;



import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.client.MedAppealExamineInfoServiceClient;
import com.diagbot.dto.*;
import com.diagbot.vo.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
/**
 * @description: 申诉远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class MedAppealExamineInfoServiceHystrix implements MedAppealExamineInfoServiceClient {

    @Override
    public RespDTO<Page<GetComplaintRecordDTO>> getComplaintRecord(@RequestBody GetComplaintRecordVO getComplaintRecordVO) {
        log.error("【hystrix】调用{}异常", "getComplaintRecord");
        return null;
    }

    @Override
    public RespDTO<Page<GetAppealReviewDTO>> getAppealReview(@RequestBody GetAppealReviewVO getAppealReviewVO) {
        log.error("【hystrix】调用{}异常", "getAppealReview");
        return null;
    }

    @Override
    public RespDTO<GetAuditDTO> getAudit( @RequestBody GetAuditVO getAuditVO) {
        log.error("【hystrix】调用{}异常", "getAudit");
        return null;
    }

    @Override
    public RespDTO<Boolean> approved( @RequestBody ApprovedVo approvedVo) {
        log.error("【hystrix】调用{}异常", "approved");
        return null;
    }

    @Override
    public RespDTO<Boolean> rejected( @RequestBody RejectedVo rejectedVo) {
        log.error("【hystrix】调用{}异常", "rejected");
        return null;
    }
    @Override
    public RespDTO<GetAppealInfoDTO> getApprovedView( @RequestBody GetApprovedViewVO getApprovedViewVO) {
        log.error("【hystrix】调用{}异常", "getApprovedView");
        return null;
    }
    @Override
    public RespDTO<Integer> getAuditNumber( @RequestBody GetAuditNumberVO getAuditNumberVO) {
        log.error("【hystrix】调用{}异常", "getAuditNumberVO");
        return null;
    }

}
